Skip to main content
GET
/
partners
Get organization partners
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/partners \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "company_name": "<string>",
      "sales_amount": 1073741823,
      "partner_type": "customer",
      "email": "jsmith@example.com",
      "frequency": "<string>",
      "payment_terms": "<string>",
      "address": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country_code": "<string>",
      "company_registration_number": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "invitation_status": "invited",
      "guest_organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

partner_types
enum<string>[]
required

Filter partners by their type

Minimum array length: 1
Available options:
customer,
supplier
partner_ids
string<uuid>[] | null

Filter partners by specific partner IDs

Example:

"550e8400-e29b-41d4-a716-446655440000"

search_field
enum<string>
default:company_name

Field to search by

Available options:
company_name,
email
search_text
string | null

Text used for searching partners

Required string length: 1 - 255
Example:

"example"

invitation_statuses
enum<string>[] | null

Filter partners by invitation status

Available options:
invited,
accepted
order_by
enum<string>
default:company_name

Field to order the results by

Available options:
company_name,
sales_amount,
partner_type,
email,
frequency,
payment_terms,
address,
city,
state,
postal_code,
country_code,
company_registration_number
order_dir
enum<string>
default:asc

Order direction

Available options:
asc,
desc
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

10

20

50

offset
integer
required

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

20

50

Response

Successful Response

items
OrganizationPartner · object[]
required

List of organization partners

total_items
integer
required

Total number of organization partners

Required range: x >= 0
Examples:

10

25

100